This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1248675 - ipa vault internal error
ipa vault internal error
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: IPA Maintainers
Namita Soman
: TestBlocker
Depends On: 1250611
Blocks: 1204501
  Show dependency treegraph
 
Reported: 2015-07-30 10:59 EDT by Scott Poore
Modified: 2015-08-10 03:28 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-10 03:26:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Poore 2015-07-30 10:59:06 EDT
Description of problem:

I'm seeing internal errors on some vault commands.  The commands so far seem to be working but, the error should be resolved to avoid confusion:

[root@rhel7-2 ~]# ipa vault-add myvault
ipa: ERROR: an internal error has occurred

[root@rhel7-2 ~]# ipa vault-find
---------------
1 vault matched
---------------
  Vault name: myvault
  Type: standard
----------------------------
Number of entries returned 1
----------------------------

[root@rhel7-2 ~]# ipa vault-del myvault
ipa: ERROR: an internal error has occurred

[root@rhel7-2 ~]# ipa vault-find
----------------
0 vaults matched
----------------
----------------------------
Number of entries returned 0
----------------------------

Version-Release number of selected component (if applicable):
ipa-server-4.2.0-3.el7.x86_64


How reproducible:
always

Steps to Reproduce:
1.  ipa-server-install
2.  ipa-kra-install
3.  ipa vault-add testvault

Actual results:

internal error like above.

Expected results:

no error returned.


Additional info:
[Thu Jul 30 09:53:50.797527 2015] [:error] [pid 22500] ipa: ERROR: non-public: TypeError: coercing to Unicode: need string or buffer, NoneType found
[Thu Jul 30 09:53:50.797541 2015] [:error] [pid 22500] Traceback (most recent call last):
[Thu Jul 30 09:53:50.797542 2015] [:error] [pid 22500]   File "/usr/lib/python2.7/site-packages/ipaserver/rpcserver.py", line 347, in wsgi_execute
[Thu Jul 30 09:53:50.797544 2015] [:error] [pid 22500]     result = self.Command[name](*args, **options)
[Thu Jul 30 09:53:50.797545 2015] [:error] [pid 22500]   File "/usr/lib/python2.7/site-packages/ipalib/frontend.py", line 443, in __call__
[Thu Jul 30 09:53:50.797546 2015] [:error] [pid 22500]     ret = self.run(*args, **options)
[Thu Jul 30 09:53:50.797547 2015] [:error] [pid 22500]   File "/usr/lib/python2.7/site-packages/ipalib/frontend.py", line 760, in run
[Thu Jul 30 09:53:50.797548 2015] [:error] [pid 22500]     return self.execute(*args, **options)
[Thu Jul 30 09:53:50.797549 2015] [:error] [pid 22500]   File "/usr/lib/python2.7/site-packages/ipalib/plugins/baseldap.py", line 1622, in execute
[Thu Jul 30 09:53:50.797550 2015] [:error] [pid 22500]     delete_entry(pkey)
[Thu Jul 30 09:53:50.797551 2015] [:error] [pid 22500]   File "/usr/lib/python2.7/site-packages/ipalib/plugins/baseldap.py", line 1607, in delete_entry
[Thu Jul 30 09:53:50.797552 2015] [:error] [pid 22500]     result = callback(self, ldap, dn, *nkeys, **options)
[Thu Jul 30 09:53:50.797553 2015] [:error] [pid 22500]   File "/usr/lib/python2.7/site-packages/ipalib/plugins/vault.py", line 706, in post_callback
[Thu Jul 30 09:53:50.797553 2015] [:error] [pid 22500]     kra_account.login()
[Thu Jul 30 09:53:50.797554 2015] [:error] [pid 22500]   File "/usr/lib/python2.7/site-packages/pki/__init__.py", line 295, in handler
[Thu Jul 30 09:53:50.797555 2015] [:error] [pid 22500]     return fn_call(inst, *args, **kwargs)
[Thu Jul 30 09:53:50.797556 2015] [:error] [pid 22500]   File "/usr/lib/python2.7/site-packages/pki/account.py", line 55, in login
[Thu Jul 30 09:53:50.797557 2015] [:error] [pid 22500]     self.connection.get('/rest/account/login')
[Thu Jul 30 09:53:50.797558 2015] [:error] [pid 22500]   File "/usr/lib/python2.7/site-packages/pki/client.py", line 115, in get
[Thu Jul 30 09:53:50.797559 2015] [:error] [pid 22500]     data=payload)
[Thu Jul 30 09:53:50.797560 2015] [:error] [pid 22500]   File "/usr/lib/python2.7/site-packages/requests/sessions.py", line 476, in get
[Thu Jul 30 09:53:50.797561 2015] [:error] [pid 22500]     return self.request('GET', url, **kwargs)
[Thu Jul 30 09:53:50.797562 2015] [:error] [pid 22500]   File "/usr/lib/python2.7/site-packages/requests/sessions.py", line 464, in request
[Thu Jul 30 09:53:50.797563 2015] [:error] [pid 22500]     resp = self.send(prep, **send_kwargs)
[Thu Jul 30 09:53:50.797564 2015] [:error] [pid 22500]   File "/usr/lib/python2.7/site-packages/requests/sessions.py", line 576, in send
[Thu Jul 30 09:53:50.797565 2015] [:error] [pid 22500]     r = adapter.send(request, **kwargs)
[Thu Jul 30 09:53:50.797566 2015] [:error] [pid 22500]   File "/usr/lib/python2.7/site-packages/requests/adapters.py", line 370, in send
[Thu Jul 30 09:53:50.797567 2015] [:error] [pid 22500]     timeout=timeout
[Thu Jul 30 09:53:50.797568 2015] [:error] [pid 22500]   File "/usr/lib/python2.7/site-packages/urllib3/connectionpool.py", line 544, in urlopen
[Thu Jul 30 09:53:50.797569 2015] [:error] [pid 22500]     body=body, headers=headers)
[Thu Jul 30 09:53:50.797570 2015] [:error] [pid 22500]   File "/usr/lib/python2.7/site-packages/urllib3/connectionpool.py", line 341, in _make_request
[Thu Jul 30 09:53:50.797571 2015] [:error] [pid 22500]     self._validate_conn(conn)
[Thu Jul 30 09:53:50.797572 2015] [:error] [pid 22500]   File "/usr/lib/python2.7/site-packages/urllib3/connectionpool.py", line 762, in _validate_conn
[Thu Jul 30 09:53:50.797573 2015] [:error] [pid 22500]     conn.connect()
[Thu Jul 30 09:53:50.797574 2015] [:error] [pid 22500]   File "/usr/lib/python2.7/site-packages/urllib3/connection.py", line 238, in connect
[Thu Jul 30 09:53:50.797580 2015] [:error] [pid 22500]     ssl_version=resolved_ssl_version)
[Thu Jul 30 09:53:50.797581 2015] [:error] [pid 22500]   File "/usr/lib/python2.7/site-packages/urllib3/util/ssl_.py", line 254, in ssl_wrap_socket
[Thu Jul 30 09:53:50.797582 2015] [:error] [pid 22500]     context.load_cert_chain(certfile, keyfile)
[Thu Jul 30 09:53:50.797583 2015] [:error] [pid 22500] TypeError: coercing to Unicode: need string or buffer, NoneType found
Comment 3 Jan Cholasta 2015-08-04 10:17:04 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/5178
Comment 6 Scott Poore 2015-08-07 12:17:06 EDT
FYI, this appears to be fixed now.

See my comment in the python bug here:

https://bugzilla.redhat.com/show_bug.cgi?id=1250611#c4
Comment 7 Jan Cholasta 2015-08-10 03:26:37 EDT
OK, closing the bug.

Note You need to log in before you can comment on or make changes to this bug.